/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.dao;

import java.util.List;

import org.springframework.dao.DataAccessException;

/**
 * EZweb [ CRUD 삷 DAO ̃C^[tF[XłB
 * 
 * @author V _
 */
public interface EZwebDAO extends GenericDAO<EZweb, String> {

	/**
	 * EZweb [̃XgԂ܂B
	 * 
	 * @return EZweb [̃Xg
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public List<EZweb> loadAll() throws DataAccessException;

	/**
	 * w肳ꂽfoCX^Cv(foCXID) EZweb [Ԃ܂B
	 * Ή EZweb [񂪌Ȃꍇ <code>null</code> Ԃ܂B
	 * 
	 * @param deviceType foCX^Cv(foCXID)
	 * @return EZweb [B <code>null</code>
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public EZweb load(String deviceType) throws DataAccessException;

	/**
	 * w肳ꂽ EZweb [ۑ܂B
	 * 
	 * @param ezweb EZweb [
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public void save(EZweb ezweb) throws DataAccessException;

	/**
	 * w肳ꂽ@햼 EZweb [XV܂B
	 * 
	 * @param ezweb EZweb [
	 * @param deviceType foCX^Cv(foCXID)
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public void update(EZweb ezweb, String deviceType) throws DataAccessException;

	/**
	 * w肳ꂽ@햼 EZweb [폜܂B
	 * 
	 * @param deviceType foCX^Cv(foCXID)
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public void delete(String deviceType) throws DataAccessException;

}
