/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.dao;

import java.util.List;

import org.springframework.dao.DataAccessException;

/**
 * {[_tH[ CRUD 삷 DAO ̃C^[tF[XłB
 * 
 * @author V _
 */
public interface VodafoneDAO extends GenericDAO<Vodafone, String> {

	/**
	 * {[_tH[̃XgԂ܂B
	 * 
	 * @return {[_tH[̃Xg
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public List<Vodafone> loadAll() throws DataAccessException;

	/**
	 * w肳ꂽ@햼̃{[_tH[Ԃ܂B
	 * Ή{[_tH[񂪌Ȃꍇ <code>null</code> Ԃ܂B
	 * 
	 * @param name @햼
	 * @return {[_tH[B <code>null</code>
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public Vodafone load(String name) throws DataAccessException;

	/**
	 * w肳ꂽ{[_tH[ۑ܂B
	 * 
	 * @param vodafone {[_tH[
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public void save(Vodafone vodafone) throws DataAccessException;

	/**
	 * w肳ꂽ@햼̃{[_tH[XV܂B
	 * 
	 * @param vodafone {[_tH[
	 * @param name @햼
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public void update(Vodafone vodafone, String name) throws DataAccessException;

	/**
	 * w肳ꂽ@햼̃{[_tH[폜܂B
	 * 
	 * @param name @햼
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public void delete(String name) throws DataAccessException;

}
