/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.dao;

import java.io.Serializable;
import java.util.List;

import org.springframework.dao.DataAccessException;

/**
 * DAO ̊̃C^[tF[XłB
 * 
 * @author V _
 */
interface GenericDAO<T, ID extends Serializable> {

	/**
	 * ǎ葀sGeBeBɑΉIuWFNg̃XgԂ܂B
	 * 
	 * @return GeBeBɑΉIuWFNg̃Xg
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public List<T> loadAll() throws DataAccessException;

	/**
	 * ǎ葀sGeBeBɑΉIuWFNgԂ܂B
	 * 
	 * @param id L[l
	 * @return GeBeBɑΉIuWFNg
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public T load(ID id) throws DataAccessException;

	/**
	 * w肳ꂽGeBeBɑΉIuWFNgő}s܂B
	 * 
	 * @param o GeBeBɑΉIuWFNg
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public void save(T o) throws DataAccessException;

	/**
	 * w肳ꂽGeBeBɑΉIuWFNgōXVs܂B
	 * 
	 * @param o GeBeBɑΉIuWFNg
	 * @param id L[l
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public void update(T o, ID id) throws DataAccessException;

	/**
	 * 폜s܂B
	 * 
	 * @param id L[l
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public void delete(ID id) throws DataAccessException;

}
