/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.dao;

import java.util.List;

import org.springframework.dao.DataAccessException;

/**
 * i[h[ CRUD 삷 DAO ̃C^[tF[XłB
 * 
 * @author V _
 */
public interface ImodeDAO extends GenericDAO<Imode, String> {

	/**
	 * i[h[̃XgԂ܂B
	 * 
	 * @return i[h[̃Xg
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public List<Imode> loadAll() throws DataAccessException;

	/**
	 * w肳ꂽ@햼i[h[Ԃ܂B
	 * Ήi[h[񂪌Ȃꍇ <code>null</code> Ԃ܂B
	 * 
	 * @param name @햼
	 * @return i[h[B <code>null</code>
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public Imode load(String name) throws DataAccessException;

	/**
	 * w肳ꂽi[h[ۑ܂B
	 * 
	 * @param imode i[h[
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public void save(Imode imode) throws DataAccessException;

	/**
	 * w肳ꂽ@햼i[h[XV܂B
	 * 
	 * @param imode i[h[
	 * @param name @햼
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public void update(Imode imode, String name) throws DataAccessException;

	/**
	 * w肳ꂽ@햼i[h[폜܂B
	 * 
	 * @param name @햼
	 * @throws DataAccessException DAO ̑ŗOꍇ
	 */
	public void delete(String name) throws DataAccessException;

}
